Index: trunk/LMDZ.VENUS/libf/phyvenus/ajsec.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/ajsec.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/ajsec.F	(revision 1621)
@@ -8,5 +8,5 @@
       use dimphy
       use mod_grid_phy_lmdz, only: nbp_lev
-      use cpdet_mod, only: t2tpot, tpot2t
+      use cpdet_phy_mod, only: t2tpot, tpot2t
       IMPLICIT none
 c======================================================================
Index: trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 1621)
@@ -671,5 +671,5 @@
   
   SUBROUTINE chemparam_ini
-  USE infotrac
+  USE infotrac_phy, ONLY: nqtot, tname
   IMPLICIT NONE
   INTEGER :: i
Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1621)
@@ -36,5 +36,5 @@
       use dimphy
       use mod_grid_phy_lmdz, only: nbp_lev
-      use cpdet_mod, only: t2tpot
+      use cpdet_phy_mod, only: t2tpot
       IMPLICIT none
 c======================================================================
@@ -480,5 +480,5 @@
       use dimphy
       use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, nbp_lev
-      use cpdet_mod, only: t2tpot,tpot2t,cpdet
+      use cpdet_phy_mod, only: t2tpot,tpot2t,cpdet
 
       IMPLICIT none
@@ -918,5 +918,5 @@
 
       use dimphy
-      use cpdet_mod, only: cpdet,t2tpot
+      use cpdet_phy_mod, only: cpdet,t2tpot
       IMPLICIT none
 c======================================================================
@@ -1229,5 +1229,5 @@
       use dimphy
       use mod_grid_phy_lmdz, only: nbp_lev
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 c======================================================================
Index: trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F	(revision 1621)
@@ -3,7 +3,6 @@
       use dimphy
       use conc,  only: mmean, rho, Akknew, rnew, cpnew
-      use cpdet_mod, only: cpdet                       
+      use cpdet_phy_mod, only: cpdet                       
       USE chemparam_mod
-      use infotrac
 
       implicit none
Index: trunk/LMDZ.VENUS/libf/phyvenus/cpdet_phy_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/cpdet_phy_mod.F90	(revision 1621)
+++ trunk/LMDZ.VENUS/libf/phyvenus/cpdet_phy_mod.F90	(revision 1621)
@@ -0,0 +1,150 @@
+module cpdet_phy_mod
+
+! Cpdet module to use in physics (same as Cpdet module in dynamics)
+! Warning: Changing hard coded formulaes in this module should also be
+!          done in dynamics cpdet_mod module  (and vice-versa) !
+
+implicit none
+
+real,save :: cpp ! reference Cp
+real,save :: nu_venus
+real,save :: t0_venus
+
+contains
+
+      SUBROUTINE init_cpdet_phy(cpp_,nu_venus_,t0_venus_)
+      ! initialize module variables
+      REAL,INTENT(IN) :: cpp_ ! cpp from dynamics
+      REAL,INTENT(IN) :: nu_venus_ ! nu_venus from dynamics
+      REAL,INTENT(IN) :: t0_venus_ ! t0_venus from dynamics
+      
+      cpp=cpp_
+      nu_venus=nu_venus_
+      t0_venus=t0_venus_
+      
+      END SUBROUTINE init_cpdet_phy
+
+!======================================================================
+
+      FUNCTION cpdet(t)
+
+      IMPLICIT none
+
+! for cpp, nu_venus and t0_venus:
+
+      real,intent(in) :: t
+      real cpdet
+
+      cpdet = cpp*(t/t0_venus)**nu_venus
+
+      end function cpdet
+      
+!======================================================================
+
+      SUBROUTINE t2tpot(npoints, yt, yteta, ypk)
+!======================================================================
+! Arguments:
+!
+! yt   --------input-R- Temperature
+! yteta-------output-R- Temperature potentielle
+! ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
+!
+!======================================================================
+
+      IMPLICIT NONE
+
+      integer,intent(in) :: npoints
+      REAL,intent(in) :: yt(npoints), ypk(npoints)
+      REAL,intent(out) :: yteta(npoints)
+      
+!----------------------
+! ATMOSPHERE PROFONDE
+      real ypklim,ypklim2,mmm0
+      real ratio_mod(npoints)
+      integer k
+! theta_mod = theta * ratio_mod => ratio_mod = mmm0/mmm(p)
+
+      ypklim  = cpp*(  6e6/9.2e6)**0.1914
+      ypklim2 = cpp*(8.9e6/9.2e6)**0.1914
+      mmm0 = 43.44
+      
+      DO k = 1, npoints
+        ratio_mod(k) = 1.
+	if (ypk(k).gt.ypklim) then
+	   ratio_mod(k) = mmm0 /                                        &
+     &  (mmm0+0.56*(log(ypklim/cpp)-log(ypk(k)/cpp))                    &
+     &            /(log(ypklim/cpp)-log(ypklim2/cpp)))
+           ratio_mod(k) = max(ratio_mod(k),mmm0/(mmm0+0.56))
+	endif
+      ENDDO
+!----------------------
+
+      ! Ehouan debug
+      write(*,*) "t2tpot: cpp=",cpp," nu_venus=",nu_venus," t0_venus=",t0_venus
+      !write(*,*) "t2tpot: log(ypk/cpp)=",log(ypk/cpp)
+      do k=1,npoints
+      write(*,*) "t2tpot: k=",k," yt(k)=",yt(k)
+      write(*,*) "t2tpot: k=",k," yt(k)**nu_venus=",yt(k)**nu_venus," ypk(k)=",ypk(k)
+      yteta(k) = yt(k)**nu_venus                                          &
+              - nu_venus * t0_venus**nu_venus * log(ypk(k)/cpp)
+      write(*,*) "t2tpot: k=",k," yteta(k)=",yteta(k)
+      enddo
+      yteta = yteta**(1./nu_venus)
+!----------------------
+! ATMOSPHERE PROFONDE
+      yteta = yteta*ratio_mod
+!----------------------
+
+      end subroutine t2tpot
+
+!======================================================================
+
+      SUBROUTINE tpot2t(npoints,yteta, yt, ypk)
+!======================================================================
+! Arguments:
+!
+! yteta--------input-R- Temperature potentielle
+! yt   -------output-R- Temperature
+! ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
+!
+!======================================================================
+
+      IMPLICIT NONE
+
+      integer,intent(in) :: npoints
+      REAL,intent(in) :: yteta(npoints), ypk(npoints)
+      REAL,intent(out) :: yt(npoints)
+      
+!----------------------
+! ATMOSPHERE PROFONDE
+      real ypklim,ypklim2,mmm0
+      real ratio_mod(npoints)
+      integer k
+! theta_mod = theta * ratio_mod => ratio_mod = mmm0/mmm(p)
+
+      ypklim  = cpp*(  6e6/9.2e6)**0.1914
+      ypklim2 = cpp*(8.9e6/9.2e6)**0.1914
+      mmm0 = 43.44
+
+      DO k = 1, npoints
+        ratio_mod(k) = 1.
+	if (ypk(k).gt.ypklim) then
+	   ratio_mod(k) = mmm0 /                                        &
+     &  (mmm0+0.56*(log(ypklim/cpp)-log(ypk(k)/cpp))                    &
+     &            /(log(ypklim/cpp)-log(ypklim2/cpp)))
+           ratio_mod(k) = max(ratio_mod(k),mmm0/(mmm0+0.56))
+	endif
+      ENDDO
+!----------------------
+
+!----------------------
+! ATMOSPHERE PROFONDE
+!----------------------
+     yt = (yteta/ratio_mod)**nu_venus                               &
+!----------------------
+         + nu_venus * t0_venus**nu_venus * log(ypk/cpp)
+     yt = yt**(1./nu_venus)
+  
+      end subroutine tpot2t
+
+end module cpdet_phy_mod
Index: trunk/LMDZ.VENUS/libf/phyvenus/diagphy.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/diagphy.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/diagphy.F	(revision 1621)
@@ -208,5 +208,5 @@
  
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT NONE
 C
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/inigeomphy_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/inigeomphy_mod.F90	(revision 1621)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/inigeomphy_mod.F90	(revision 1621)
@@ -0,0 +1,1 @@
+link ../../dynphy_lonlat/inigeomphy_mod.F90
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1621)
@@ -403,5 +403,6 @@
      ,     plev,play,pk,phi,phisfi,
      ,     presnivs,
-     ,     u,v,temp,q,  
+     ,     u,v,temp,q,
+     ,     plev,temp, ! "planetary mean" plev and temperature
      ,     w,
 C - sorties
Index: trunk/LMDZ.VENUS/libf/phyvenus/flott_gwd_ran.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/flott_gwd_ran.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/flott_gwd_ran.F90	(revision 1621)
@@ -1,4 +1,5 @@
       SUBROUTINE FLOTT_GWD_RAN(NLON,NLEV,DTIME, pp, pn2,  &
-                  tt,uu,vv,zustr,zvstr,d_t, d_u, d_v)
+                  tt,uu,vv, plevmoy, &
+                  zustr,zvstr,d_t, d_u, d_v)
 
     !----------------------------------------------------------------------
@@ -14,5 +15,4 @@
 
       use dimphy
-      use moyzon_mod, only: plevmoy
       implicit none
 
@@ -32,4 +32,5 @@
     REAL, intent(in):: UU(NLON, NLEV) , VV(NLON, NLEV)
     ! Hor winds at full levels
+    REAL, intent(in) :: plevmoy(NLEV+1) ! (planet-averaged) mean pressure (Pa) at interlayers
 
     ! 0.2 OUTPUTS
Index: trunk/LMDZ.VENUS/libf/phyvenus/infotrac_phy.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/infotrac_phy.F90	(revision 1621)
+++ trunk/LMDZ.VENUS/libf/phyvenus/infotrac_phy.F90	(revision 1621)
@@ -0,0 +1,48 @@
+
+! $Id: $
+
+MODULE infotrac_phy
+
+! Infotrac for physics; contains the same information as infotrac for
+! the dynamics
+  IMPLICIT NONE
+
+! iflag_trac: ==1 if running with tracers
+  INTEGER,SAVE :: iflag_trac
+!$OMP THREADPRIVATE(iflag_trac)
+
+! nqtot : total number of tracers
+  INTEGER,SAVE :: nqtot
+!$OMP THREADPRIVATE(nqtot)
+
+! tracer names
+  CHARACTER(len=20),ALLOCATABLE,DIMENSION(:),SAVE :: tname
+  CHARACTER(len=23),ALLOCATABLE,DIMENSION(:),SAVE :: ttext ! tracer long name for diagnostics
+!$OMP THREADPRIVATE(tname,ttext)
+
+CONTAINS
+
+  SUBROUTINE init_infotrac_phy(iflag_trac_,nqtot_,tname_,ttext_)
+  ! Initialize module variables
+  IMPLICIT NONE
+  
+  INTEGER,INTENT(IN) :: iflag_trac_ ! ==1 if running with tracers
+  INTEGER,INTENT(IN) :: nqtot_ ! total number of tracers
+  CHARACTER(LEN=*),INTENT(IN) :: tname_(nqtot_)
+  CHARACTER(LEN=*),INTENT(IN) :: ttext_(nqtot_)
+  
+  INTEGER :: iq
+  
+  iflag_trac=iflag_trac_
+  nqtot=nqtot_
+  
+  ALLOCATE(tname(nqtot))
+  ALLOCATE(ttext(nqtot))
+  DO iq=1,nqtot
+    tname(iq)=tname_(iq)
+    ttext(iq)=ttext_(iq)
+  ENDDO
+  
+  END SUBROUTINE init_infotrac_phy
+
+END MODULE infotrac_phy
Index: trunk/LMDZ.VENUS/libf/phyvenus/interface_surf.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/interface_surf.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/interface_surf.F90	(revision 1621)
@@ -46,5 +46,5 @@
 
       use write_field_phy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
 
       IMPLICIT none
@@ -197,5 +197,5 @@
 
   use write_field_phy
-  use cpdet_mod, only: t2tpot, tpot2t
+  use cpdet_phy_mod, only: t2tpot, tpot2t
 
   IMPLICIT none
Index: trunk/LMDZ.VENUS/libf/phyvenus/lw_venus_ve.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/lw_venus_ve.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/lw_venus_ve.F	(revision 1621)
@@ -6,5 +6,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/lwi.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/lwi.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/lwi.F	(revision 1621)
@@ -2,5 +2,5 @@
 
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       implicit none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/moldiff_red.F90	(revision 1621)
@@ -3,5 +3,5 @@
 
 USE chemparam_mod
-USE infotrac
+USE infotrac_phy
 USE dimphy    
 
@@ -935,5 +935,5 @@
 	SUBROUTINE QMNEW(Q1,DQ,Q2,dtime,nl,nq,gc,ig)
 	use chemparam_mod
-	use infotrac
+	use infotrac_phy
         IMPLICIT NONE
 
@@ -971,5 +971,5 @@
 	SUBROUTINE MMOY(massemoy,mol_tr,qq,gc,nl,nq)
 	use chemparam_mod
-	use infotrac
+	use infotrac_phy
         IMPLICIT NONE
 
@@ -1057,5 +1057,5 @@
      & Nraf,Nrafk,Rraf,Rrafk,il,nl,nq,nlx,ig)
         use chemparam_mod
-	use infotrac
+	use infotrac_phy
 	IMPLICIT NONE
 #include "YOMCST.h"
@@ -1401,5 +1401,5 @@
      &    pp,M,gc,nl,nq,nlx,ig)
         use chemparam_mod
-	use infotrac
+	use infotrac_phy
         IMPLICIT NONE
 #include "YOMCST.h"
Index: trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/moldiffcoeff_red.F	(revision 1621)
@@ -2,7 +2,6 @@
 
        USE chemparam_mod
-       USE infotrac
+       USE infotrac_phy
        USE dimphy    
-       use infotrac
 
        IMPLICIT NONE
Index: trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F	(revision 1621)
@@ -5,5 +5,4 @@
 
       USE ioipsl
-      USE infotrac
       USE dimphy
       USE chemparam_mod
Index: trunk/LMDZ.VENUS/libf/phyvenus/new_photochemistry_venus.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/new_photochemistry_venus.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/new_photochemistry_venus.F90	(revision 1621)
@@ -5,5 +5,4 @@
 
  USE chemparam_mod
- USE infotrac
       
  implicit none
Index: trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1621)
@@ -12,5 +12,4 @@
       USE phys_state_var_mod
       USE iostart
-      USE infotrac
       use geometry_mod, only: longitude_deg, latitude_deg
       USE time_phylmdz_mod, only: itau_phy, raz_date
Index: trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1621)
@@ -11,5 +11,4 @@
       USE iostart, only : open_restartphy,close_restartphy, & 
                           put_var,put_field
-      USE infotrac
       use geometry_mod, only: longitude_deg, latitude_deg
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
Index: trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1621)
@@ -12,5 +12,5 @@
      .            paprs,pplay,ppk,pphi,pphis,presnivs,
      .            u,v,t,qx,
-     .            flxmw,
+     .            flxmw, plevmoy, tmoy,
      .            d_u, d_v, d_t, d_qx, d_ps)
 
@@ -61,5 +61,4 @@
       USE ioipsl
 !      USE histcom ! not needed; histcom is included in ioipsl
-      USE infotrac
       use dimphy
       USE geometry_mod,only: longitude, latitude, ! in radians
@@ -72,13 +71,12 @@
       USE write_field_phy
       USE iophy
-      USE cpdet_mod, only: cpdet, t2tpot
+      USE cpdet_phy_mod, only: cpdet, t2tpot
       USE chemparam_mod
       USE conc
       USE compo_hedin83_mod2
-      use moyzon_mod, only: tmoy
 !      use ieee_arithmetic
       use time_phylmdz_mod, only: annee_ref, day_ref, itau_phy
       use mod_grid_phy_lmdz, only: nbp_lon
-      use logic_mod, only: iflag_trac
+      use infotrac_phy, only: iflag_trac, tname, ttext
       IMPLICIT none
 c======================================================================
@@ -139,4 +137,6 @@
 
       REAL flxmw(klon,klev)
+      REAL,INTENT(IN) :: plevmoy(klev+1) ! planet-averaged mean pressure (Pa) at interfaces
+      REAL,INTENT(IN) :: tmoy(klev) ! planet-averaged mean temperature (Pa) at mid-layers
 
       REAL d_u(klon,klev)
@@ -1549,5 +1549,5 @@
 
       call flott_gwd_ran(klon,klev,dtime,pplay,zn2,
-     e               t_seri, u_seri, v_seri,
+     e               t_seri, u_seri, v_seri, plevmoy,
      o               zustrhi,zvstrhi,
      o               d_t_hin, d_u_hin, d_v_hin)
Index: trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F	(revision 1621)
@@ -28,5 +28,5 @@
 c
 c======================================================================
-      USE infotrac
+      USE infotrac_phy, ONLY: nqtot
       use dimphy
       USE geometry_mod, only: cell_area
Index: trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F	(revision 1621)
@@ -25,5 +25,5 @@
 c
 c======================================================================
-      USE infotrac
+      USE infotrac_phy, ONLY: nqtot, tname
       use dimphy
       USE chemparam_mod,only:M_tr
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl_1Dglobave.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl_1Dglobave.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_cl_1Dglobave.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc_1Dglobave.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc_1Dglobave.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_dc_1Dglobave.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh_1Dglobave.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh_1Dglobave.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh_1Dglobave.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve_1Dglobave.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve_1Dglobave.F	(revision 1609)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_ve_1Dglobave.F	(revision 1621)
@@ -5,5 +5,5 @@
       
       use dimphy
-      use cpdet_mod, only: cpdet
+      use cpdet_phy_mod, only: cpdet
       IMPLICIT none
 