Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/callphysiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/callphysiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/callphysiq_mod.F	(revision 1634)
@@ -12,5 +12,5 @@
 CONTAINS
 
-SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,tname,                 &
+SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,                       &
                        debut_split,lafin_split,                           &
                        jD_cur,jH_cur_split,zdt_split,                     &
@@ -30,5 +30,4 @@
   INTEGER,INTENT(IN) :: llm  ! number of atmospheric layers
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
-  CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
   LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
   LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
@@ -77,5 +76,4 @@
 
 ! Set dummy variables for Mars to zero (additional and prob useless security)
-! NB: tname already filled with tracers' names (though not used here)
   zpk_omp(:,:)=0.
   zphis_omp(:)=0.
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/iniphysiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/iniphysiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/iniphysiq_mod.F	(revision 1634)
@@ -10,4 +10,5 @@
 use time_phylmdz_mod, only: iphysiq, day_step, ecritstart,ecritphy,&
                             dtphys,daysec,day_ini,hour_ini
+use update_inputs_physiq_mod, only: traceurs
 
 implicit none
@@ -36,5 +37,5 @@
 
 !! initialize physical constants and arrays
-call phys_state_var_init(ngrid,nlayer,nq, &
+call phys_state_var_init(ngrid,nlayer,nq, traceurs, &
                          pdayref,phour_ini,punjours,ptimestep, &
                          prad,pg,pr,pcpp)
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_inputs_physiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_inputs_physiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_inputs_physiq_mod.F	(revision 1634)
@@ -1,3 +1,7 @@
 MODULE update_inputs_physiq_mod
+
+IMPLICIT NONE
+
+CHARACTER(len=20),save,allocatable,dimension(:) :: traceurs ! tracer names
 
 CONTAINS
@@ -101,14 +105,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE,tname)
-
-  use tracer_mod, only: noms
+SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE)
 
   INTEGER, INTENT(IN) :: nq,MARS_MODE
-  CHARACTER(len=*), INTENT(INOUT) :: tname(nq) ! tracer names
-
-  !! TRACERS
-  ALLOCATE(noms(nq)) !! est fait dans initracer normalement
-                     !! tableau dans tracer_mod.F90
+
+  ALLOCATE(traceurs(nq))
 
   !!! name of tracers to mimic entries in tracer.def 
@@ -117,46 +116,46 @@
   SELECT CASE (MARS_MODE)
     CASE(0,10)  
-      noms(nq) = 'co2'
+      traceurs(nq) = 'co2'
     CASE(1)    ! scalar:qh2o,qh2o_ice
-      noms(1)  = 'h2o_vap'
-      noms(2)  = 'h2o_ice'
+      traceurs(1)  = 'h2o_vap'
+      traceurs(2)  = 'h2o_ice'
     CASE(2)    ! scalar:qdust
-      noms(1)  = 'dust01'
+      traceurs(1)  = 'dust01'
     CASE(3)    ! scalar:qdust,qdustn
-      noms(1)  = 'dust_mass'
-      noms(2)  = 'dust_number'
+      traceurs(1)  = 'dust_mass'
+      traceurs(2)  = 'dust_number'
     CASE(11)   ! scalar:qh2o,qh2o_ice,qdust,qdustn
-      noms(1)  = 'h2o_vap'
-      noms(2)  = 'h2o_ice'
-      noms(3)  = 'dust_mass'
-      noms(4)  = 'dust_number'
+      traceurs(1)  = 'h2o_vap'
+      traceurs(2)  = 'h2o_ice'
+      traceurs(3)  = 'dust_mass'
+      traceurs(4)  = 'dust_number'
     CASE(12)
-      noms(1)  = 'h2o_vap'
-      noms(2)  = 'h2o_ice'
-      noms(3)  = 'dust_mass'
-      noms(4)  = 'dust_number'
-      noms(5)  = 'ccn_mass'
-      noms(6)  = 'ccn_number'
+      traceurs(1)  = 'h2o_vap'
+      traceurs(2)  = 'h2o_ice'
+      traceurs(3)  = 'dust_mass'
+      traceurs(4)  = 'dust_number'
+      traceurs(5)  = 'ccn_mass'
+      traceurs(6)  = 'ccn_number'
     CASE(20) 
-      noms(1) = 'qtrac1'
+      traceurs(1) = 'qtrac1'
     CASE(42)
-      noms(1)  = 'co2'
-      noms(2)  = 'co'
-      noms(3)  = 'o'
-      noms(4)  = 'o1d'
-      noms(5)  = 'o2'
-      noms(6)  = 'o3'
-      noms(7)  = 'h'
-      noms(8)  = 'h2'
-      noms(9)  = 'oh'
-      noms(10)  = 'ho2'
-      noms(11)  = 'h2o2'
-      noms(12)  = 'ch4'
-      noms(13)  = 'n2'
-      noms(14)  = 'ar'
-      noms(15)  = 'h2o_ice'
-      noms(16)  = 'h2o_vap'
-      noms(17)  = 'dust_mass'
-      noms(18)  = 'dust_number'
+      traceurs(1)  = 'co2'
+      traceurs(2)  = 'co'
+      traceurs(3)  = 'o'
+      traceurs(4)  = 'o1d'
+      traceurs(5)  = 'o2'
+      traceurs(6)  = 'o3'
+      traceurs(7)  = 'h'
+      traceurs(8)  = 'h2'
+      traceurs(9)  = 'oh'
+      traceurs(10)  = 'ho2'
+      traceurs(11)  = 'h2o2'
+      traceurs(12)  = 'ch4'
+      traceurs(13)  = 'n2'
+      traceurs(14)  = 'ar'
+      traceurs(15)  = 'h2o_ice'
+      traceurs(16)  = 'h2o_vap'
+      traceurs(17)  = 'dust_mass'
+      traceurs(18)  = 'dust_number'
   END SELECT
 
@@ -164,7 +163,5 @@
   !! OUTPUT FOR CHECKING !!
   !!---------------------!!
-  print*,"check: noms",noms
-  tname = noms
-  print*,"check: tname",tname
+  print*,"check: traceurs",traceurs
 
 END SUBROUTINE update_inputs_physiq_tracers
@@ -315,5 +312,5 @@
             M_ALBEDO,CST_AL,&
             M_TSURF,M_EMISS,M_CO2ICE,&
-            M_GW,M_Z0,&
+            M_GW,M_Z0,CST_Z0,&
             M_H2OICE,&
             phisfi_val)
@@ -326,5 +323,5 @@
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,MARS_MODE
    INTEGER :: i,j,subs,nlast
-   REAL, INTENT(IN  ) :: CST_AL, phisfi_val
+   REAL, INTENT(IN  ) :: CST_AL, phisfi_val, CST_Z0
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
      M_ALBEDO,M_TSURF,M_EMISS,M_CO2ICE,M_H2OICE,M_Z0
@@ -470,5 +467,5 @@
    INTEGER, INTENT(IN) :: ims,ime,jms,jme
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,nsoil
-   INTEGER :: i,j,subs,nlast
+   INTEGER :: i,j,subs,nlast,k
    REAL, INTENT(IN  ) :: CST_TI 
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/callphysiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/callphysiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/callphysiq_mod.F	(revision 1634)
@@ -12,5 +12,5 @@
 CONTAINS
 
-SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,tname,                 &
+SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,                       &
                        debut_split,lafin_split,                           &
                        jD_cur,jH_cur_split,zdt_split,                     &
@@ -28,5 +28,4 @@
   INTEGER,INTENT(IN) :: llm  ! number of atmospheric layers
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
-  CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
   LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
   LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_inputs_physiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_inputs_physiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_inputs_physiq_mod.F	(revision 1634)
@@ -29,8 +29,7 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE,tname)
+SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE)
 
   INTEGER, INTENT(IN) :: nq,MARS_MODE
-  CHARACTER(len=*), INTENT(INOUT) :: tname(nq) ! tracer names
 
 END SUBROUTINE update_inputs_physiq_tracers
@@ -44,8 +43,8 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-SUBROUTINE update_inputs_physiq_geom(nlayer, &
+SUBROUTINE update_inputs_physiq_geom( &
             ims,ime,jms,jme,&
             ips,ipe,jps,jpe,&
-            JULYR,ngrid,&
+            JULYR,ngrid,nlayer,&
             DX,DY,MSFT,&
             lat_input, lon_input,&
@@ -53,5 +52,5 @@
 
    INTEGER, INTENT(IN) :: ims,ime,jms,jme
-   INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,ngrid
+   INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,ngrid,nlayer
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
      MSFT,XLAT,XLONG
@@ -69,5 +68,5 @@
             M_ALBEDO,CST_AL,&
             M_TSURF,M_EMISS,M_CO2ICE,&
-            M_GW,M_Z0,&
+            M_GW,M_Z0,CST_Z0,&
             M_H2OICE,&
             phisfi_val)
@@ -76,5 +75,5 @@
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,MARS_MODE
    INTEGER :: i,j,subs,nlast
-   REAL, INTENT(IN  ) :: CST_AL, phisfi_val
+   REAL, INTENT(IN  ) :: CST_AL, phisfi_val, CST_Z0
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
      M_ALBEDO,M_TSURF,M_EMISS,M_CO2ICE,M_H2OICE,M_Z0
@@ -95,5 +94,5 @@
    INTEGER, INTENT(IN) :: ims,ime,jms,jme
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,nsoil
-   INTEGER :: i,j,subs,nlast
+   INTEGER :: i,j,subs,nlast,k
    REAL, INTENT(IN  ) :: CST_TI 
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/callphysiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/callphysiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/callphysiq_mod.F	(revision 1634)
@@ -31,5 +31,4 @@
   INTEGER,INTENT(IN) :: llm  ! number of atmospheric layers
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
-  !CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
   LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
   LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
@@ -78,5 +77,4 @@
 
 ! Set dummy variables for Mars to zero (additional and prob useless security)
-! NB: tname already filled with tracers' names (though not used here)
   zpk_omp=(zplay_omp/p0)**rcp
   zphis_omp(:)=zphi_omp(1,1)
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F	(revision 1634)
@@ -1,3 +1,7 @@
 MODULE update_inputs_physiq_mod
+
+IMPLICIT NONE
+
+CHARACTER(len=20),save,allocatable,dimension(:) :: traceurs ! tracer names
 
 CONTAINS
@@ -13,12 +17,4 @@
 !SUBROUTINE update_inputs_physiq_slope
 
-!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
-
-!c  Returns solar longitude, Ls (in deg.), from day number (in sol),
-!c  where sol=0=Ls=0 at the northern hemisphere spring equinox
-
-
-!!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -52,5 +48,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE,tname)
+SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE)
 
   !use infotrac
@@ -58,7 +54,7 @@
   implicit none
   INTEGER, INTENT(IN) :: nq,MARS_MODE
-  CHARACTER(len=*), INTENT(INOUT) :: tname(nq) ! tracer names
-
-  tname(:)='zolbxs' 
+
+  ALLOCATE(traceurs(nq))
+  traceurs(:)='zolbxs' 
   !call infotrac_init ! Need traceur.def
 
@@ -188,5 +184,5 @@
             M_ALBEDO,CST_AL,&
             M_TSURF,M_EMISS,M_CO2ICE,&
-            M_GW,M_Z0,&
+            M_GW,M_Z0,CST_Z0,&
             M_H2OICE,&
             phisfi_val)
@@ -199,5 +195,5 @@
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,MARS_MODE
    INTEGER :: i,j,subs,nlast
-   REAL, INTENT(IN  ) :: CST_AL, phisfi_val
+   REAL, INTENT(IN  ) :: CST_AL, phisfi_val, CST_Z0
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
      M_ALBEDO,M_TSURF,M_EMISS,M_CO2ICE,M_H2OICE,M_Z0
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/callphysiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/callphysiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/callphysiq_mod.F	(revision 1634)
@@ -12,5 +12,5 @@
 CONTAINS
 
-SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,tname,                 &
+SUBROUTINE call_physiq(planet_type, klon,llm,nqtot,                       &
                        debut_split,lafin_split,                           &
                        jD_cur,jH_cur_split,zdt_split,                     &
@@ -29,5 +29,4 @@
   INTEGER,INTENT(IN) :: llm  ! number of atmospheric layers
   INTEGER,INTENT(IN) :: nqtot ! number of tracers
-  CHARACTER(len=*),INTENT(IN) :: tname(nqtot) ! tracer names
   LOGICAL,INTENT(IN) :: debut_split ! .true. if very first call to physics
   LOGICAL,INTENT(IN) :: lafin_split ! .true. if last call to physics
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/update_inputs_physiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/update_inputs_physiq_mod.F	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_void_lmd_new/update_inputs_physiq_mod.F	(revision 1634)
@@ -29,8 +29,7 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE,tname)
+SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE)
 
   INTEGER, INTENT(IN) :: nq,MARS_MODE
-  CHARACTER(len=*), INTENT(INOUT) :: tname(nq) ! tracer names
 
 END SUBROUTINE update_inputs_physiq_tracers
@@ -69,5 +68,5 @@
             M_ALBEDO,CST_AL,&
             M_TSURF,M_EMISS,M_CO2ICE,&
-            M_GW,M_Z0,&
+            M_GW,M_Z0,CST_Z0,&
             M_H2OICE,&
             phisfi_val)
@@ -76,5 +75,5 @@
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,MARS_MODE
    INTEGER :: i,j,subs,nlast
-   REAL, INTENT(IN  ) :: CST_AL, phisfi_val
+   REAL, INTENT(IN  ) :: CST_AL, phisfi_val, CST_Z0
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
      M_ALBEDO,M_TSURF,M_EMISS,M_CO2ICE,M_H2OICE,M_Z0
@@ -95,5 +94,5 @@
    INTEGER, INTENT(IN) :: ims,ime,jms,jme
    INTEGER, INTENT(IN) :: ips,ipe,jps,jpe,JULYR,nsoil
-   INTEGER :: i,j,subs,nlast
+   INTEGER :: i,j,subs,nlast,k
    REAL, INTENT(IN  ) :: CST_TI 
    REAL, DIMENSION( ims:ime, jms:jme ), INTENT(IN)  :: &
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new	(revision 1633)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new	(revision 1634)
@@ -191,5 +191,4 @@
 
    !! arguments to physiq
-   CHARACTER(len=20),ALLOCATABLE :: tname(:) ! tracer names
    REAL,ALLOCATABLE :: zpk_omp(:,:)
    REAL,ALLOCATABLE :: zphis_omp(:) ! surface geopotential
@@ -370,5 +369,4 @@
 ! ALLOCATE !
 !----------!
-IF (.not.ALLOCATED(tname)) ALLOCATE(tname(nq)) 
 !-------------------------------------------------------------------------------!
 ! outputs:									!	
@@ -444,5 +442,5 @@
   !! tracers' name
   PRINT *,'** ',planet_type,'** TRACERS NAMES'
-  CALL update_inputs_physiq_tracers(nq,MARS_MODE,tname)
+  CALL update_inputs_physiq_tracers(nq,MARS_MODE)
   !! PHYSICS VARIABLES (cf. iniphysiq in LMD GCM)
   !! parameters are defined in the module_model_constants.F WRF routine
@@ -615,5 +613,5 @@
             M_ALBEDO,CST_AL,&
             M_TSURF,M_EMISS,M_CO2ICE,&
-            M_GW,M_Z0,&
+            M_GW,M_Z0,CST_Z0,&
             M_H2OICE,&
             phisfi_val)
@@ -656,5 +654,5 @@
             ptime,pday,MY)
 !!!
-CALL call_physiq(planet_type,ngrid,nlayer,nq,tname, &
+CALL call_physiq(planet_type,ngrid,nlayer,nq,       &
                        firstcall,lastcall,          &
                        pday,ptime,ptimestep,        &