Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphys.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphys.def	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphys.def	(revision 1656)
@@ -0,0 +1,93 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+5 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd2_.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd2_.def	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd2_.def	(revision 1656)
@@ -0,0 +1,93 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+5 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd3_.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd3_.def	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/callphysd3_.def	(revision 1656)
@@ -0,0 +1,93 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+5 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/launch
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/launch	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/launch	(revision 1656)
@@ -0,0 +1,69 @@
+#! /bin/bash
+
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  week
+#PBS -N  run
+#PBS -l  nodes=1:ppn=4
+#PBS -l  mem=64gb
+#PBS -l  vmem=64gb
+#PBS -v  step=1
+
+#### NB: "qsub -v step=XX launch" overrides value above
+
+#### PREAMBLE
+ulimit -s unlimited
+
+#### STEP 1
+if [[ ${step} -le 1 ]] ; then
+  cd $PBS_O_WORKDIR/gcm
+  #
+  year=$(more namelist.input | grep start_year | awk '{print $3}' | sed s+','+''+g)
+  month=$(more namelist.input | grep start_month | awk '{print $3}' | sed s+','+''+g)
+  day=$(more namelist.input | grep start_day | awk '{print $3}' | sed s+','+''+g)
+  hour=$(more namelist.input | grep start_hour | awk '{print $3}' | sed s+','+''+g)
+  wrf_date=${year}'-'${month}'-'${day}'_00:00:00'
+  daygcm=$(more calendar | grep ${wrf_date} | awk '{print $2}')
+  echo ${daygcm} | ./launch_gcm
+  #
+  gcm.e > log_gcm
+  #
+  cd $PBS_O_WORKDIR/prep
+  echo 1 | create_readmeteo.exe
+  readmeteo.exe < readmeteo.def
+fi
+
+##### STEP 2
+if [[ ${step} -le 2 ]] ; then
+  cd $PBS_O_WORKDIR/geogrid
+  \rm geo_em.*
+  geogrid.exe
+  #
+  cd $PBS_O_WORKDIR/metgrid
+  \rm met_em.*
+  metgrid.exe
+fi
+
+##### STEP 3
+if [[ ${step} -le 3 ]] ; then
+  cd $PBS_O_WORKDIR/
+  \rm wrfi* wrfb*
+  real.exe
+fi
+
+##### STEP 4
+if [[ ${step} -le 4 ]] ; then
+  rm -rf $PBS_O_WORKDIR/$PBS_JOBNAME
+  mkdir $PBS_O_WORKDIR/$PBS_JOBNAME
+  mv rsl.error.0000 $PBS_O_WORKDIR/$PBS_JOBNAME/real_rsl.error.0000
+  mv rsl.out.0000 $PBS_O_WORKDIR/$PBS_JOBNAME/real_rsl.out.0000
+  cp -rfL  $PBS_O_WORKDIR/callphys*.def   $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/titus.def       $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/wrf.exe*        $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/namelist.input  $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/namelist.wps    $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/wrfi*           $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cp -rfL  $PBS_O_WORKDIR/wrfb*           $PBS_O_WORKDIR/$PBS_JOBNAME/
+  cd $PBS_O_WORKDIR/$PBS_JOBNAME/
+  mpirun wrf.exe
+fi
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.input
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.input	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.input	(revision 1656)
@@ -0,0 +1,75 @@
+ &time_control
+ start_year       = 2024, 2024, 2024
+ start_month      =   02,   02,   02
+ start_day        =   64,   64,   64
+ start_hour       =   06,   06,   06
+ end_year         = 2024, 2024, 2024
+ end_month        =   03,   03,   03
+ end_day          =   02,   02,   02
+ end_hour         =   06,   06,   06
+ history_interval   = 37,   37,   37
+ frames_per_outfile = 24,   24,   24
+ restart          = .false.
+ restart_interval = 8880,
+ io_form_history  = 2
+ io_form_restart  = 2
+ io_form_input    = 2
+ io_form_boundary = 2
+ debug_level      = 0
+ auxinput1_inname = "metgrid/met_em.d<domain>.<date>"
+ /
+
+ &domains
+ time_step         = 40  
+ p_top_requested   = 10
+ max_dom           = 3
+ grid_id           =        1,      2,      3
+ parent_time_step_ratio =   1,      2,      2
+ parent_id         =        0,      1,      2
+ parent_grid_ratio =        1,      3,      3
+ i_parent_start    =        0,     59,     60
+ j_parent_start    =        0,     58,     54
+ e_we              =      177,    181,    181
+ e_sn              =      177,    181,    181
+ e_vert            =       61,     61,     61
+ dx                =    54000,  18000,  6000,
+ dy                =    54000,  18000,  6000,
+ feedback      = 1
+ smooth_option = 2
+ blend_width   = 5
+ !!
+ !! OPTIONAL
+ !!
+ force_sfc_in_vinterp = 5    !! (p3) Number of levels hardwired in the PBL
+                             !!         NB: decrease this parameter when low model top
+ num_metgrid_levels = 33     !! (p1) number of vertical levels in GCM inputs (+1)
+ /
+
+ &physics
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ !!
+ !! OPTIONAL
+ !!
+ tiso = 100. 
+ non_hydrostatic = F,F,F
+ /
+
+ &grib2
+ /
+
+ &bdy_control
+ specified = T, F, F,
+ nested    = F, T, T,
+ /
+
+!! DO NOT MODIFY
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /
+!! DO NOT MODIFY
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.wps
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.wps	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/namelist.wps	(revision 1656)
@@ -0,0 +1,37 @@
+&share
+ wrf_core = 'ARW',
+ max_dom = 3
+ start_date = '2024-02-64_06:00:00','2024-02-64_06:00:00','2024-02-64_06:00:00'
+ end_date   = '2024-03-02_06:00:00','2024-02-64_06:00:00','2024-02-64_06:00:00'
+ interval_seconds = 3700
+ io_form_geogrid = 2,
+ debug_level = 0,
+ opt_output_from_geogrid_path='../geogrid/'
+/
+
+&geogrid
+ parent_id         =        0,      1,      2
+ parent_grid_ratio =        1,      3,      3
+ i_parent_start    =        0,     59,     60
+ j_parent_start    =        0,     58,     54
+ e_we              =      177,    181,    181
+ e_sn              =      177,    181,    181
+ geog_data_res     =  'tyler','tyler','tyler'
+ dx = 54000,
+ dy = 54000,
+ map_proj = 'polar',      !! map projection: 'mercator', 'lambert' or 'polar'
+ ref_lat   =  89.5,       !! north latitude of the center of the domain
+ ref_lon   =  0.1,        !! east longitude of the center of the domain
+ truelat1  =  89.5,       !! (lambert or polar) lat position of projection cone
+ truelat2  =  0.0,        !!   [do not modify]
+ stand_lon =  0.1,        !! (lambert or polar) lon position of projection cone
+ geog_data_path = '../data_static/',
+ OPT_GEOGRID_TBL_PATH = '../geogrid/'
+/
+
+&metgrid
+ fg_name = '../prep/WPSFEED/LMD'
+ io_form_metgrid = 2,
+ opt_output_from_metgrid_path='../metgrid/'
+ OPT_METGRID_TBL_PATH = "../metgrid/"
+/
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/titus.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/titus.def	(revision 1656)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/2015_MESOSCALE_MARS_POLAR/titus.def	(revision 1656)
@@ -0,0 +1,2 @@
+tituscap
+T